# Location

Object describing a geographic location. A location can either be a point or an area.

## Get locations

 - [GET /locations/{offset}/{amount}](https://docs.transportial.com/apis/location/handle_37.md): Get list of locations

## Get locations

 - [POST /locations/{offset}/{amount}](https://docs.transportial.com/apis/location/handle_196.md): Get list of locations

## Update location

 - [PUT /location](https://docs.transportial.com/apis/location/handle_92.md): Update a location

## Create location

 - [POST /location](https://docs.transportial.com/apis/location/handle_195.md): Create a new location

## Get location average action duration

 - [GET /location/{id}/action/{type}/duration{average}](https://docs.transportial.com/apis/location/handle_97.md): Get the average duration of an action type on the location

## Get location

 - [GET /location/{id}](https://docs.transportial.com/apis/location/handle_354.md): Get a location on id

## Delete location

 - [DELETE /location/{id}](https://docs.transportial.com/apis/location/handle_126.md): Delete a location

## Get location actions

 - [GET /location/{id}/actions/{offset}/{amount}](https://docs.transportial.com/apis/location/handle_140.md): Get the actions that have previously occurred on a location

## Find duplicate locations

 - [POST /location/duplicates](https://docs.transportial.com/apis/location/handle_165.md): Find duplicate locations based on location object in body

## Validate an AddressGeoReference

 - [POST /location/geocode/validateAddressGeoReference](https://docs.transportial.com/apis/location/handle_292.md): Check whether an AddressGeoReference resolves to an existing place via Google Maps. Returns a valid flag plus the matched coordinates when found.

## Geocode from AddressGeoReference

 - [POST /location/geocode/addressGeoReference](https://docs.transportial.com/apis/location/handle_540.md): Get coordinates (LatLongPointGeoReference) from AddressGeoReference

